#MEX=/home/matlab/7.14/bin/mex
MEX=/home/matlab/8.2/academic/bin/mex
NICEFLAGS1=$(shell pkg-config libgp-hik-core --cflags --libs)
NICEFLAGS2=$(shell pkg-config libvislearning_features libsegmentation --cflags --libs)
NICEFLAGS=$(subst -fopenmp,,$(NICEFLAGS2))

default:
	${MEX} ${NICEFLAGS} -largeArrayDims CodebookRandomForestMex.cpp ../../../../gp-hik-core/matlab/ConverterMatlabToNICE.cpp ../../../../gp-hik-core/matlab/ConverterNICEToMatlab.cpp
	${MEX} ${NICEFLAGS} -largeArrayDims testHelperDataConversionMex.cpp ../../../../gp-hik-core/matlab/ConverterMatlabToNICE.cpp ../../../../gp-hik-core/matlab/ConverterNICEToMatlab.cpp
